WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] FIX: Live Comments Preview on WP2.3.1 (14 posts)

  1. byronrode
    Member
    Posted 6 years ago #

    The reason why this script is not working lies on line 185. To fix it follow the following.

    Most people would have uploaded the entire folder(live-comments-preview) into their plugins folder.

    On line 185 there is a function that loads the mock JS file, and the source of this file is incorrect. There are 2 ways you can resolve this.

    1)
    move the live-comment-preview.php file into the plugins folder directly and delete the lcp folder,

    2)
    change line 185 from this:
    =============================================
    echo('<script src="' . get_settings('siteurl') . '/wp-content/plugins/live-comment-preview.php/commentPreview.js" type="text/javascript"></script>');
    =============================================

    to this:
    =============================================
    echo('<script src="' . get_settings('siteurl') . '/wp-content/plugins/live-comment-preview/live-comment-preview.php/commentPreview.js" type="text/javascript"></script>');
    =============================================

    you will notice the addition of the folder name (live-comment-preview) before the file. This was where the error was.

    I have tested this and it works perfectly!

    I am rewriting this plugin based on the original authors work and it should work with all versions of WP2.2 upwards!

    Keep on blogging.
    Byron

  2. lworrilow
    Member
    Posted 6 years ago #

    This fix is for version 1.7 not the latest version 1.8. The line that you reference above is not in version 1.8 of Live Comment Preview.

  3. Brad Touesnard
    Member
    Posted 6 years ago #

    I've taken over maintenance of this plugin and just updated it today. I noticed that problem and fixed it in the 1.8 release.

  4. lworrilow
    Member
    Posted 6 years ago #

    I just downloaded it about an hour ago and can't get it to work with the Copyblogger 1.0 theme.

  5. KirkM
    Member
    Posted 6 years ago #

    I'm not sure I follow here. 1.7 has always worked for me through 4 different themes in blog online and through different test configurations in my local WP sandbox and it's never needed any sort of modification. I recently updated to 1.8 and the plugin no longer works and I'm not the only one experiencing this problem. I switched back to 1.7 and the plugin works correctly.

    I'm currently running the latest version of K2-unmodified.

  6. Brad Touesnard
    Member
    Posted 6 years ago #

    I just found a bug in 1.8 that only affects those who have WordPress files setup in a different directory than their site url. It's fixed in 1.8.1. Does it work for you now?

  7. William Speruzzi
    Member
    Posted 6 years ago #

    I just tried 1.8.1 and still not working with the Moonlight 1.0 theme running with 2.3.1. I've gone back to 1.7 which works just fine.

  8. Brad Touesnard
    Member
    Posted 6 years ago #

    Try 1.8.2. Let me know if that fixed it.

  9. William Speruzzi
    Member
    Posted 6 years ago #

    Just installed. Still no go.

  10. Ron Pemberton
    Member
    Posted 6 years ago #

    You must be logged out of your site for it to work. I at first thought it wasn't working - then I logged out and it worked. So make sure you fully test it under all conditions and configurations.

    It works for me in Firefox 2+ and IE 6, IE Tab Etc..

  11. Moonlight06
    Member
    Posted 6 years ago #

    I can view it perfectly when I logged out from my admin. But whenever I logged in it didn't work.

  12. Tyssen
    Member
    Posted 6 years ago #

    Any chance of fixing the plugin so that it'll work if you're logged in as admin too?

  13. William Speruzzi
    Member
    Posted 6 years ago #

    Any chance of fixing the plugin so that it'll work if you're logged in as admin too?

    This would be great.

  14. lucasmezencio
    Member
    Posted 6 years ago #

    I'm using the Royale Theme, and it not work properly. I'm using the 1.8.2 version of this plugin.

Topic Closed

This topic has been closed to new replies.

About this Topic